%define anolis_release 2

Name:           dosfstools
Version:        4.2
Release:        %{anolis_release}%{?dist}
Summary:        Utilities to create and check MS-DOS FAT filesystems

License:        GPLv3+
URL:            https://github.com/dosfstools/dosfstools
Source0:        http://github.com/%{name}/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  /usr/bin/xxd

%description
dosfstools consists of the programs mkfs.fat, fsck.fat and fatlabel to
create, check and label file systems of the FAT family.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

%build
%configure --enable-compat-symlinks
%make_build CFLAGS="%{optflags} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"

%check
make check

%install
%make_install
rm -f %{buildroot}%{_docdir}/%{name}/COPYING

rm -f %{buildroot}%{_docdir}/%{name}/ANNOUNCE.mkdosfs
rm -f %{buildroot}%{_docdir}/%{name}/ChangeLog*
rm -f %{buildroot}%{_docdir}/%{name}/README*
rm -f %{buildroot}%{_docdir}/%{name}/NEWS
rm -f %{buildroot}%{_docdir}/%{name}/TODO.dosfstools-2.x

%files
%license COPYING
%{_sbindir}/*
%{_mandir}/man8/*

%files doc
%doc NEWS README ChangeLog doc/*

%changelog
* Thu Sep 29 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.2-2
- add doc package

* Fri Mar 11 2022 Su Lifan <su-lifan@linux.alibaba.com> - 4.2-1
* Initial packaging for Anolis OS 23
